package eu.teraflow.tid.bgp4Peer.grpc;

import io.grpc.Server;
import io.grpc.ServerBuilder;

public class grpcApp {
	
	public static void main( String[] args ) throws Exception
    {
      // Create a new server to listen on port 8080
      Server server = ServerBuilder.forPort(50052)
        .addService(new updateServiceImpl())
        .build();
 
      // Start the server
      server.start();

      // Server threads are running in the background.
      System.out.println("Server started");
      // Don't exit the main thread. Wait until server is terminated.
      server.awaitTermination();
    }

}
